org.eclipse.ease.debugging.events

## Class ScriptTerminatedEvent

- java.lang.Object
- - org.eclipse.ease.debugging.events.AbstractEvent
  - - org.eclipse.ease.debugging.events.ScriptTerminatedEvent

All Implemented Interfaces:
  IDebugEvent, IDebuggerEvent

    public class ScriptTerminatedEvent
    extends AbstractEvent
    implements IDebuggerEvent

### Constructor Summary

Constructors
Constructor and Description
`ScriptTerminatedEvent(Script script, Thread thread)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Script` `getScript()`
`Thread` `getThread()`

### Methods inherited from class org.eclipse.ease.debugging.events.AbstractEvent

`toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScriptTerminatedEvent

    public ScriptTerminatedEvent(Script script,
                                 Thread thread)

### Method Detail

#### getScript

    public Script getScript()

#### getThread

    public Thread getThread()